-----BEGIN PGP SIGNED MESSAGE-----
Zsh version 3.0.5 released
--------------------------
For those who do not know what it is:
The Z-shell, zsh is one of the most powerful freely available Unix
command interpreter. It most resembles the Korn shell (ksh). It
includes
* a very powerful command-line editor with 162 key-bindings which can
even be used to edit files
* 102 options for customizing its behavior
* 81 builtins
* very powerful filename globing which can do almost everything that
find can do
* fully programmable completion
* spelling correction
* powerful substitution features which can often be used instead of cut
or sed
* features to make C-shell (csh) users feel more at home and extra
features drawn from tcsh (another `custom' shell).
Zsh uses GNU autoconf and it should build out of the box on most systems.
Zsh can emulate the POSIX shell and the Korn shell quite well when it is
invoked as sh or ksh respectively. On Linux systems zsh can be real
alternative to bash. I've been using /bin/sh linked to zsh for years
now. Note however that the default behaviour of zsh is quite different
from sh.
The Debian Linux distribution has a bug in /usr/sbin/install-info, which
does not show up when /bin/sh is linked to bash. The following patch
fixes this problem.
~~~~~~~~~~~~~~~~~~~ PATCH BEGINS HERE ~~~~~~~~~~~~~~~~~
--- /usr/sbin/install-info.ORIG Sun Jan 26 01:15:02 1997
+++ /usr/sbin/install-info Wed Sep 3 02:03:24 1997
}
sub checkpipe {
- return if !$pipeit || !$? || $?==0x8D00;
+ return if !$pipeit || !$? || $?==0x8D00 || $?==0xD;
die "$name: read $filename: $?\n";
}
~~~~~~~~~~~~~~~~~~~~~ PATCH ENDS HERE ~~~~~~~~~~~~~~~~~
Earlier versions of zsh had serious bugs, some of them can be security
risks when zsh scripts are executed with root privileges, therefore
everyone is strongly encouraged to upgrade to zsh-3.0.5.
The latest release, the zsh FAQ and documentation is available from the
following anonymous ftp sites. The first is the official archive site.
The rest are mirror sites which are kept frequently up to date. The sites
marked with a star may mirror ftp.math.gatech.edu instead of the primary
site.
HUNGARY
ftp://ftp.cs.elte.hu/pub/zsh/ -- primary site
http://www.cs.elte.hu/pub/zsh/ (the same using http)
ftp://ftp.kfki.hu/pub/packages/zsh/
Australia
* ftp://ftp.ips.oz.au/pub/packages/zsh/
Finland
ftp://ftp.funet.fi/pub/unix/shells/zsh/
France
ftp://ftp.cenatls.cena.dgac.fr/pub/shells/zsh/
Germany
ftp://ftp.fu-berlin.de/pub/unix/shells/zsh/
ftp://ftp.gmd.de/packages/zsh/
ftp://ftp.uni-trier.de/pub/unix/shell/zsh/
Israel
ftp://www.math.technion.ac.il/mirror/bolyai.cs.elte.hu/pub/zsh/
http://www.math.technion.ac.il/mirror/bolyai.cs.elte.hu/pub/zsh/
(same site via http)
Japan
ftp://ftp.tohoku.ac.jp/mirror/zsh/
ftp://ftp.nis.co.jp/pub/shells/zsh/
Norway
ftp://ftp.uit.no/pub/unix/shells/zsh/
Slovenia
ftp://ftp.siol.net/pub/unix/shells/zsh/
Sweden
ftp://ftp.lysator.liu.se/pub/unix/zsh/
UK
ftp://ftp.net.lut.ac.uk/zsh/
USA
ftp://ftp.math.gatech.edu/pub/zsh/
ftp://uiarchive.uiuc.edu/pub/packages/shells/zsh/
* ftp://ftp.sterling.com/zsh/
* ftp://ftp.rge.com/pub/shells/zsh/
The release files are:
22108 Sep 26 03:29 zsh-3.0.5.diff.gz
655790 Sep 26 03:46 zsh-3.0.5.tar.gz
744266 Sep 26 04:28 zsh-doc.tar.gz
The md5 checksums:
86646cb2c819d25c13267c6cfb626fd8 zsh-3.0.5.diff.gz
7c3ce278a75ee8d05c5d0fc1821b2a7a zsh-3.0.5.tar.gz
d66a7ae930d7635d7effe23315d863ff zsh-doc.tar.gz
The complete source is in zsh-3.0.5.tar.gz. zsh-doc.tar.gz contains
preformatted PostScript, dvi, html and info documentation for those who
do not have the necessary tools to compile these from the sources.
zsh-3.0.5.diff.gz contains the patch against zsh-3.0.4. If you already
have zsh-3.0.4 go to the zsh-3.0.4 source directory and do
gzip -dc zsh-3.0.5.diff.gz | patch -p
touch configure stamp-h.in
If you would like to have a look at the manual before installing zsh,
you can browse it on http://www.cs.elte.hu/zsh-manual/
----------------------------------------------------------------------
Zoltan Hidvegi
Coordinator of the zsh development
My PGP public key is available from the above ftp sites (in pubring.pgp),
-----BEGIN PGP SIGNATURE-----
Version: 2.6.3
Charset: noconv
iQCVAwUBNCx2fgupSCiLN749AQEsOwP/bJll0TxbK8MAzP/jNgjWWMFtmZSsqYKG
7m9fM0WiaMzuhcOLA9+/NaN7/orQ+UiUqZv7DBfG44CJ56C3TBTA2HYGfeIhRugl
mhyT3a1QcCb3JPlo49v9T7sOUInfVdxlIPLmacdsR+Ry0TfF9TVW+LScTglPX8Y6
Pp6E2YSgBXg=
=ZM7H
-----END PGP SIGNATURE-----